Skip to main content
PUT
Update activity

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

Project unique identifier

changeRequestId
string<uuid>
required

Change request unique identifier

activityId
string<uuid>
required

Activity unique identifier

Body

application/json
comment
string | null

Updated comment for the activity

resolve
boolean | null
default:false

Whether to mark the activity as resolved

Response

200 - application/json

Updated change request with the modified activity

Updated change request with the modified activity

id
string<uuid>
required

Change request unique identifier

type
enum<string>
required

Type of change request

Available options:
publish_document,
unpublish_document,
deploy_environment,
undeploy_environment,
merge_branch
status
enum<string>
required

Current status of the change request

Available options:
pending,
rejected,
cancelled,
completed
projectId
string<uuid>
required

Project unique identifier

createdAt
string
required

Change request creation timestamp

updatedAt
string
required

Change request last update timestamp

description
string | null

Change request description

document
object | null

Document information

documentId
string<uuid> | null

Document unique identifier

environment
object | null

Environment information

environmentId
string<uuid> | null

Environment unique identifier

release
object | null

Release information

releaseId
string<uuid> | null

Release unique identifier

branch
object | null

Branch information

branchId
string<uuid> | null

Branch unique identifier

commit
object | null

Commit information

createdBy
object | null

User information

activities
object[]

List of activities

snapshot
object

Change request snapshot containing approval state

documentVersion
any | null

Document version being published

previousDocumentVersion
any | null

Previous document version

previousRelease
object | null

Release information

previousReleaseId
string<uuid> | null

Previous release unique identifier